
services:
  # app:
  #   build:
  #     context: .
  #     dockerfile: Dockerfile.dev
  #   container_name: laravel-app
  #   volumes:
  #     - ./:/var/www
  #     - /var/www/vendor   
  #   working_dir: /var/www
  #   depends_on:
  #     - mongo
  #   networks:
  #     - laravel

  # nginx:
  #   image: nginx:latest
  #   container_name: laravel-nginx
  #   ports:
  #     - "8000:80"
  #   volumes:
  #     - .:/var/www
  #     - ./nginx/conf.d:/etc/nginx/conf.d
  #   depends_on:
  #     - app
  #   networks:
      # - laravel

  mongo:
    image: mongo:7
    container_name: mongodb
    ports:
      - "27017:27017"
    environment:
      MONGO_INITDB_ROOT_USERNAME: admin
      MONGO_INITDB_ROOT_PASSWORD: admin2025$
    volumes:
      - mongo_data:/data/db
    # networks:
    #   - laravel

  redis:
    image: redis:7
    ports:
      - "6379:6379"
    command: ["redis-server", "--appendonly", "yes"]


volumes:
  mongo_data:

# networks:
#   laravel:
#     driver: bridge
